# Class Edge

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Edge

public class Edge extends Object
Class for representing an Edge in the JConvexHull. Contains the origin and destination vertices, the twin edge, the incident JFace and the next and previous edge in the incident JFace

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Edge(Vertex source, Vertex dest, Facet facet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `findHorizon(List<Edge> horizon)`
  `Vertex`
  `getDest()`
  `Facet`
  `getFacet()`
  `Edge`
  `getNext()`
  `Edge`
  `getPrev()`
  `Vertex`
  `getSource()`
  `Edge`
  `getTwin()`
  `boolean`
  `isEqual(Vertex origin, Vertex dest)`
  `boolean`
  `isHorizon()`
  `void`
  `setDest(Vertex dest)`
  `void`
  `setFacet(Facet facet)`
  `void`
  `setNext(Edge next)`
  `void`
  `setPrev(Edge prev)`
  `void`
  `setSource(Vertex source)`
  `void`
  `setTwin(Edge twin)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Edge

    public Edge(Vertex source, Vertex dest, Facet facet)

- ## Method Details

  - ### setDest

    public void setDest(Vertex dest)

  - ### isEqual

    public boolean isEqual(Vertex origin, Vertex dest)

  - ### getSource

    public Vertex getSource()

  - ### setSource

    public void setSource(Vertex source)

  - ### getTwin

    public Edge getTwin()

  - ### setTwin

    public void setTwin(Edge twin)

  - ### getFacet

    public Facet getFacet()

  - ### setFacet

    public void setFacet(Facet facet)

  - ### getNext

    public Edge getNext()

  - ### setNext

    public void setNext(Edge next)

  - ### getPrev

    public Edge getPrev()

  - ### setPrev

    public void setPrev(Edge prev)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDest

    public Vertex getDest()

  - ### isHorizon

    public boolean isHorizon()

  - ### findHorizon

    public void findHorizon(List<Edge> horizon)